{ lib, config, pkgs, ... }:
let cfg = config.hostcfg.make.game;
in {
  config = lib.mkIf cfg {

    programs.steam = {
      enable = true;
      remotePlay.openFirewall =
        true; # Open ports in the firewall for Steam Remote Play
      dedicatedServer.openFirewall =
        true; # Open ports in the firewall for Source Dedicated Server
    };
  };
}
